summaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
authorRichard Ipsum <richard.ipsum@codethink.co.uk>2015-05-18 14:20:46 +0100
committerBaserock Gerrit <gerrit@baserock.org>2015-05-19 19:31:31 +0000
commit8f705773cafe9811c98663f5ebe938f0c646ca8f (patch)
tree1ba321f6cc7f6d847330b9fdbb0686d216578af5 /check
parent459fd0ed302f152dae6ba7abf0ab7167e7257201 (diff)
downloadimport-8f705773cafe9811c98663f5ebe938f0c646ca8f.tar.gz
Add check script
We switch to unittest.main() here so that the exit code gets set by unittest, which in turn sets check's exit code Change-Id: If9ace26ba5373cb78192b30922ee1bd0ea91f36f
Diffstat (limited to 'check')
-rwxr-xr-xcheck27
1 files changed, 27 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..ecad387
--- /dev/null
+++ b/check
@@ -0,0 +1,27 @@
+#!/bin/bash
+#
+# Run test suite for import.
+#
+# Copyright © 2015 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+EXTDIR=baserockimport/exts
+
+cd $EXTDIR
+echo Running python.find_lorry tests
+./python_lorry_tests.py > /dev/null
+echo Running python.find_deps tests
+./python_find_deps_tests.py > /dev/null